# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{jeweler}
  s.version = "1.5.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Josh Nichols"]
  s.date = %q{2010-12-20}
  s.default_executable = %q{jeweler}
  s.description = %q{Simple and opinionated helper for creating Rubygem projects on GitHub}
  s.email = %q{josh@technicalpickles.com}
  s.executables = ["jeweler"]
  s.extra_rdoc_files = ["ChangeLog.markdown", "LICENSE.txt", "README.markdown"]
  s.files = ["lib/jeweler.rb", "lib/jeweler/commands.rb", "lib/jeweler/commands/build_gem.rb", "lib/jeweler/commands/check_dependencies.rb", "lib/jeweler/commands/install_gem.rb", "lib/jeweler/commands/release_gemspec.rb", "lib/jeweler/commands/release_to_git.rb", "lib/jeweler/commands/release_to_rubygems.rb", "lib/jeweler/commands/validate_gemspec.rb", "lib/jeweler/commands/version/base.rb", "lib/jeweler/commands/version/bump_major.rb", "lib/jeweler/commands/version/bump_minor.rb", "lib/jeweler/commands/version/bump_patch.rb", "lib/jeweler/commands/version/write.rb", "lib/jeweler/commands/write_gemspec.rb", "lib/jeweler/errors.rb", "lib/jeweler/gemcutter_tasks.rb", "lib/jeweler/gemspec_helper.rb", "lib/jeweler/generator.rb", "lib/jeweler/generator/application.rb", "lib/jeweler/generator/bacon_mixin.rb", "lib/jeweler/generator/github_mixin.rb", "lib/jeweler/generator/micronaut_mixin.rb", "lib/jeweler/generator/minitest_mixin.rb", "lib/jeweler/generator/options.rb", "lib/jeweler/generator/rdoc_mixin.rb", "lib/jeweler/generator/riot_mixin.rb", "lib/jeweler/generator/rspec_mixin.rb", "lib/jeweler/generator/shindo_mixin.rb", "lib/jeweler/generator/shoulda_mixin.rb", "lib/jeweler/generator/testspec_mixin.rb", "lib/jeweler/generator/testunit_mixin.rb", "lib/jeweler/generator/yard_mixin.rb", "lib/jeweler/rubyforge_tasks.rb", "lib/jeweler/rubygems_dot_org_tasks.rb", "lib/jeweler/rubygems_tasks.rb", "lib/jeweler/specification.rb", "lib/jeweler/tasks.rb", "lib/jeweler/templates/.document", "lib/jeweler/templates/.gitignore", "lib/jeweler/templates/Gemfile", "lib/jeweler/templates/LICENSE.txt", "lib/jeweler/templates/README.rdoc", "lib/jeweler/templates/Rakefile", "lib/jeweler/templates/bacon/flunking.rb", "lib/jeweler/templates/bacon/helper.rb", "lib/jeweler/templates/bundler_setup.erb", "lib/jeweler/templates/features/default.feature", "lib/jeweler/templates/features/support/env.rb", "lib/jeweler/templates/jeweler_tasks.erb", "lib/jeweler/templates/micronaut/flunking.rb", "lib/jeweler/templates/micronaut/helper.rb", "lib/jeweler/templates/minitest/flunking.rb", "lib/jeweler/templates/minitest/helper.rb", "lib/jeweler/templates/other_tasks.erb", "lib/jeweler/templates/riot/flunking.rb", "lib/jeweler/templates/riot/helper.rb", "lib/jeweler/templates/rspec/.rspec", "lib/jeweler/templates/rspec/flunking.rb", "lib/jeweler/templates/rspec/helper.rb", "lib/jeweler/templates/shindo/flunking.rb", "lib/jeweler/templates/shindo/helper.rb", "lib/jeweler/templates/shoulda/flunking.rb", "lib/jeweler/templates/shoulda/helper.rb", "lib/jeweler/templates/testspec/flunking.rb", "lib/jeweler/templates/testspec/helper.rb", "lib/jeweler/templates/testunit/flunking.rb", "lib/jeweler/templates/testunit/helper.rb", "lib/jeweler/version.rb", "lib/jeweler/version_helper.rb", "ChangeLog.markdown", "LICENSE.txt", "README.markdown", "bin/jeweler"]
  s.homepage = %q{http://github.com/technicalpickles/jeweler}
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Opinionated tool for creating and managing RubyGem projects}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rake>, [">= 0"])
      s.add_runtime_dependency(%q<git>, [">= 1.2.5"])
      s.add_runtime_dependency(%q<bundler>, ["~> 1.0.0"])
      s.add_development_dependency(%q<shoulda>, [">= 0"])
      s.add_development_dependency(%q<mhennemeyer-output_catcher>, [">= 0"])
      s.add_development_dependency(%q<rr>, [">= 0"])
      s.add_development_dependency(%q<mocha>, [">= 0"])
      s.add_development_dependency(%q<redgreen>, [">= 0"])
      s.add_development_dependency(%q<test-construct>, [">= 0"])
      s.add_development_dependency(%q<yard>, ["~> 0.6.0"])
      s.add_development_dependency(%q<bluecloth>, [">= 0"])
      s.add_development_dependency(%q<cucumber>, [">= 0"])
      s.add_development_dependency(%q<rcov>, [">= 0"])
      s.add_development_dependency(%q<timecop>, [">= 0"])
      s.add_development_dependency(%q<activesupport>, ["~> 2.3.5"])
      s.add_development_dependency(%q<ruby-debug>, [">= 0"])
    else
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<git>, [">= 1.2.5"])
      s.add_dependency(%q<bundler>, ["~> 1.0.0"])
      s.add_dependency(%q<shoulda>, [">= 0"])
      s.add_dependency(%q<mhennemeyer-output_catcher>, [">= 0"])
      s.add_dependency(%q<rr>, [">= 0"])
      s.add_dependency(%q<mocha>, [">= 0"])
      s.add_dependency(%q<redgreen>, [">= 0"])
      s.add_dependency(%q<test-construct>, [">= 0"])
      s.add_dependency(%q<yard>, ["~> 0.6.0"])
      s.add_dependency(%q<bluecloth>, [">= 0"])
      s.add_dependency(%q<cucumber>, [">= 0"])
      s.add_dependency(%q<rcov>, [">= 0"])
      s.add_dependency(%q<timecop>, [">= 0"])
      s.add_dependency(%q<activesupport>, ["~> 2.3.5"])
      s.add_dependency(%q<ruby-debug>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<git>, [">= 1.2.5"])
    s.add_dependency(%q<bundler>, ["~> 1.0.0"])
    s.add_dependency(%q<shoulda>, [">= 0"])
    s.add_dependency(%q<mhennemeyer-output_catcher>, [">= 0"])
    s.add_dependency(%q<rr>, [">= 0"])
    s.add_dependency(%q<mocha>, [">= 0"])
    s.add_dependency(%q<redgreen>, [">= 0"])
    s.add_dependency(%q<test-construct>, [">= 0"])
    s.add_dependency(%q<yard>, ["~> 0.6.0"])
    s.add_dependency(%q<bluecloth>, [">= 0"])
    s.add_dependency(%q<cucumber>, [">= 0"])
    s.add_dependency(%q<rcov>, [">= 0"])
    s.add_dependency(%q<timecop>, [">= 0"])
    s.add_dependency(%q<activesupport>, ["~> 2.3.5"])
    s.add_dependency(%q<ruby-debug>, [">= 0"])
  end
end
